REST APIStakeGo Account Staking

GET

List all staking wallets associated with a given Go Account.

Path Params

  • accountId string required
    Account ID to fetch the staking request for.

Query Params

  • page integer
    Page number to retrieve (1-based).

    >= 1

    Defaults to 1

  • pageSize integer
    Number of items per page.

    >= 1 · <= 100

    Defaults to 20

Responses

200
A paginated list of staking wallets.

Response Body

object

  • coins array of objects
    coins object
    • coin string
    • activeStake string
    • activeAutoStaked string
    • pendingStake string
    • pendingUnstake string
    • rewards string
    • attributes object
      attributes object
      • permissionAttributes object
        permissionAttributes object
        • staking object
          staking object
          • enabled boolean
          • disabledReason string nullable
          • allowClientToUseOwnValidator boolean
        • unstaking object
          unstaking object
          • enabled boolean
          • disabledReason string nullable
        • wallet object
          wallet object
          • useValidatorList boolean
          • allowPartialUnstake boolean
          • validatorNotNeededForStake boolean
      • spendableAttributes object
        spendableAttributes object
        • staking object
          staking object
          • fee string
          • max string
          • min string
          • netMax string
          • netMin string
          • minStakeMore string
          • minDuration string nullable
          • maxDuration string nullable
        • unstaking object
          unstaking object
          • fee string nullable
          • max string nullable
          • min string nullable
          • multipleDelegations boolean
          • requiresAmount boolean
          • requiresDelegationId boolean
          • requiresDelegationIds boolean
      • disclaimerAttributes object
        disclaimerAttributes object
        • staking object
          staking object
          • info array of strings
          • rewardPercentageRate string nullable
          • stakeWarmupPeriodDesc string nullable
        • unstaking object
          unstaking object
          • info array of strings
          • unStakeCooldownPeriodDesc string nullable
        • nextRewards object
          nextRewards object
          • rewardCycle integer
  • page integer
  • totalPages integer
  • totalElements integer
400
Bad Request

Response Body

object

  • error string
  • errorName string
  • reqId string
  • context object
401
Unauthorized

Response Body

object

  • error string
  • errorName string
  • reqId string
  • context object
403
Forbidden

Response Body

object

  • error string
  • errorName string
  • reqId string
  • context object
500
Server Error - Transient error please try again

Response Body

object

  • error string
  • errorName string
  • reqId string
  • context object